
input[type="search"] {
    -webkit-appearance: none !important;
    background-clip: padding-box;
    background-color: white;
    vertical-align: middle;
    border-radius: 0.25rem;
    border: 1px solid #e0e0e5;
    font-size: 1rem;
    width: 100%;
    line-height: 2;
    padding: 0.375rem 2.5rem 0.375rem 1.25rem;
    -webkit-transition: border-color 0.2s;
    -moz-transition: border-color 0.2s;
    transition: border-color 0.2s;
  }

  input[type="search"]:focus {
    transition: all 0.5s;
    box-shadow: 0 0 40px  #20948B;
    border-color:  #20948B;
    outline: none;
  }

  form.search-form {
    display: flex;
    justify-content: center;
    padding-right: 20px;


  }

  label {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;
    align-self: center;
    margin-bottom: 0;
  }

  input.search-field {
    margin-bottom: 0;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;
    align-self: center;

    height: 40px;
    border-top-right-radius: 0;
    border-right: none;

    border-bottom-right-radius: 0;
  }

  input.search-submit {
    height: 40px;
    margin: 0;
    /* padding: 1rem ; */
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
    font-family: "Font Awesome 5 Free";
    font-size: 1rem;
  }

  .screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
    height: 1px;
    width: 1px;
    overflow: hidden;
  }

  .button {
    display: inline-block;
    font-weight: 600;
    font-size: 0.8rem;
    /* margin-bottom: 10px; */
    line-height: 1.15;
    letter-spacing: 0.1rem;
    text-transform: uppercase;
    background:  #20948B;
    color:white;
    border: 1px solid transparent;
    vertical-align: middle;
    text-shadow: none;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    transition: all 0.2s;
  }

  .button:hover,
  .button:active,
  .button:focus {
    cursor: pointer;
    background: #20948B;
    color: white;
    outline: 0;
  }
  input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: searchfield-cancel-button;
    appearance: searchfield-cancel-button;
  }
  input[type="search"]:focus {
    transition: all 0.5s;
    box-shadow: 0 0 40px  #748f8d;
    border-color:  #20948B;
    outline: none;
  }
  input[type="search"]:focus + .clear-icon {
    display: block; /* Show the clear icon when the input is focused */
    z-index: 1;
      transition: all 0.5s;
    box-shadow: 0 0 40px  #20948B;
    border-color:  #20948B !important; /* Optional: spacing around the icon */
  }
  .clear-icon {

      height: 40px;

    /* padding: 1rem 1.3rem;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem; */
    /* padding: 5px; */
    font-family: "Font Awesome 5 Free";
    font-size: 1rem;
  position: relative;
    transition: all 0.5s;
    /* box-shadow: 0 0 40px  #20948B; */

  font-size: 18px;

    background-color:white;
  border: 1px solid #20948B;
  border-left: none;
  padding-left: 5px;
    color: red;
    cursor: pointer;
    display: none; /* Initially hidden */
  }

  input.search-field:not(:placeholder-shown) + .clear-icon {
    display: block; /* Show when input has value */
  }

  .clear-icon:hover {
    color: #000;
  }



